'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var polished = require('polished');
var styled = require('styled-components');
var styled__default = _interopDefault(styled);
var React = _interopDefault(require('react'));
var styledComponents = require('rebass/styled-components');
var PropTypes = _interopDefault(require('prop-types'));
var reactChartjs2 = require('react-chartjs-2');

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

function _taggedTemplateLiteral(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n    @media (min-width: ", "px) {\n      ", "\n    }\n  "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    @media (min-width: ", "px) {\n      ", "\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var breakpoints = {
  wide: 1140,
  desktop: 1024,
  tablet: 768
};
var media = {
  desktop: function desktop() {
    return styled.css(_templateObject(), breakpoints.desktop, styled.css.apply(void 0, arguments));
  },
  tablet: function tablet() {
    return styled.css(_templateObject2(), breakpoints.tablet, styled.css.apply(void 0, arguments));
  }
}; // Color palette

var colors = {
  black: '#000',
  blue: ['#00acca', '#e5f7fa'],
  gray: ['#efefef', '#cccccc', '#7f7f7f', '#333333'],
  green: ['#46bb95', '#ecf8f4'],
  orange: ['#ff6b00'],
  red: ['#e54f5e', '#fbe4e6'],
  white: '#fff'
};
var theme = {
  breakpoints: ["".concat(breakpoints.tablet, "px"), "".concat(breakpoints.desktop, "px")],
  colors: _objectSpread2({}, colors, {
    backdrop: colors.black,
    background: colors.gray[0],
    border: colors.gray[1],
    buttonBg: colors.orange[0],
    buttonText: colors.white,
    tag: colors.blue[0],
    tagBg: colors.white,
    error: colors.red[0],
    errorBg: colors.red[1],
    link: colors.gray[1],
    modalBg: colors.white,
    primary: colors.orange[0],
    success: colors.green[0],
    text: colors.gray[3]
  }),
  fonts: {
    sans: 'Lato, system-ui, sans-serif',
    mono: 'Menlo, monospace'
  },
  fontSizes: [12, 16, 20, 24, 32, 48],
  fontWeights: {
    body: 400,
    bold: 700,
    heading: 700
  },
  lineHeights: {
    body: 1.5,
    heading: 1.125
  },
  media: media,
  radii: [4, 8, 16],
  shadows: ["2px 3px 4px ".concat(polished.rgba(colors.black, 0.1))],
  space: [0, 4, 8, 16, 32, 64, 128, 256]
};

var googleMaps = [{
  featureType: 'all',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'all',
  elementType: 'geometry',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'all',
  elementType: 'labels.text.fill',
  stylers: [{
    saturation: 36
  }, {
    color: '#333333'
  }, {
    lightness: 40
  }]
}, {
  featureType: 'all',
  elementType: 'labels.text.stroke',
  stylers: [{
    visibility: 'on'
  }, {
    color: '#ffffff'
  }, {
    lightness: 16
  }]
}, {
  featureType: 'all',
  elementType: 'labels.icon',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'administrative',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'administrative',
  elementType: 'geometry',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'administrative',
  elementType: 'geometry.fill',
  stylers: [{
    color: '#fefefe'
  }, {
    lightness: 20
  }]
}, {
  featureType: 'administrative',
  elementType: 'geometry.stroke',
  stylers: [{
    color: '#fefefe'
  }, {
    lightness: 17
  }, {
    weight: 1.2
  }]
}, {
  featureType: 'administrative.country',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'administrative.country',
  elementType: 'geometry.fill',
  stylers: [{
    visibility: 'on'
  }, {
    hue: '#ff0000'
  }]
}, {
  featureType: 'administrative.province',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'administrative.province',
  elementType: 'geometry.fill',
  stylers: [{
    saturation: '-0'
  }]
}, {
  featureType: 'administrative.locality',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'administrative.neighborhood',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'administrative.land_parcel',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'landscape',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'landscape',
  elementType: 'geometry',
  stylers: [{
    color: '#f5f5f5'
  }, {
    lightness: 20
  }]
}, {
  featureType: 'landscape.man_made',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'landscape.natural',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi',
  elementType: 'geometry',
  stylers: [{
    color: '#f5f5f5'
  }, {
    lightness: 21
  }, {
    visibility: 'on'
  }]
}, {
  featureType: 'poi',
  elementType: 'geometry.fill',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'poi',
  elementType: 'geometry.stroke',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi',
  elementType: 'labels',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi',
  elementType: 'labels.text',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi.attraction',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi.business',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'poi.government',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'poi.medical',
  elementType: 'all',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'poi.park',
  elementType: 'geometry',
  stylers: [{
    color: '#dedede'
  }, {
    lightness: 21
  }]
}, {
  featureType: 'road',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'road.highway',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'road.highway',
  elementType: 'geometry.fill',
  stylers: [{
    color: '#ffffff'
  }, {
    lightness: 17
  }]
}, {
  featureType: 'road.highway',
  elementType: 'geometry.stroke',
  stylers: [{
    color: '#ffffff'
  }, {
    lightness: 29
  }, {
    weight: 0.2
  }]
}, {
  featureType: 'road.arterial',
  elementType: 'geometry',
  stylers: [{
    color: '#ffffff'
  }, {
    lightness: 18
  }]
}, {
  featureType: 'road.local',
  elementType: 'geometry',
  stylers: [{
    color: '#ffffff'
  }, {
    lightness: 16
  }]
}, {
  featureType: 'transit',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'transit',
  elementType: 'geometry',
  stylers: [{
    color: '#f2f2f2'
  }, {
    lightness: 19
  }]
}, {
  featureType: 'transit.line',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'transit.station',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'water',
  elementType: 'all',
  stylers: [{
    visibility: 'off'
  }]
}, {
  featureType: 'water',
  elementType: 'geometry',
  stylers: [{
    color: '#dadada'
  }, {
    lightness: 17
  }, {
    visibility: 'on'
  }]
}, {
  featureType: 'water',
  elementType: 'geometry.fill',
  stylers: [{
    visibility: 'on'
  }]
}, {
  featureType: 'water',
  elementType: 'geometry.stroke',
  stylers: [{
    visibility: 'on'
  }]
}];

var Card = function Card(props) {
  return React.createElement(styledComponents.Card, _extends({
    bg: "white",
    sx: {
      borderRadius: 1
    }
  }, props));
};

function _templateObject2$1() {
  var data = _taggedTemplateLiteral(["\n    align-items: stretch;\n    box-shadow: ", ";\n    flex: 0 1 auto;\n    height: ", ";\n    max-width: none;\n    min-width: 280px;\n    opacity: 1;\n    position: relative;\n    ", "\n    width: ", ";\n\n    &:active {\n      box-shadow: ", ";\n      ", ";\n    }\n  "]);

  _templateObject2$1 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$1() {
  var data = _taggedTemplateLiteral(["\n  align-items: center;\n  border: none;\n  box-shadow: ", ";\n  color: ", ";\n  cursor: pointer;\n  display: flex;\n  flex: 1;\n  flex-direction: column;\n  height: 140px;\n  justify-content: center;\n  max-width: 225px;\n  outline: none;\n  opacity: ", ";\n  overflow: hidden;\n  transition: box-shadow 0.2s, opacity 0.2s;\n\n  ", ";\n"]);

  _templateObject$1 = function _templateObject() {
    return data;
  };

  return data;
}
var ActionButton = styled__default(function (props) {
  return React.createElement(Card, _extends({
    "aria-pressed": props.isActive,
    role: "button",
    px: [3, 3, 0],
    py: [3, 3, 0],
    mx: 0,
    tabIndex: 0
  }, props));
})(_templateObject$1(), function (p) {
  return p.isActive ? "inset 0 0 0 2px ".concat(p.theme.colors[p.color][0]) : 'none';
}, function (p) {
  return p.theme.colors[p.color][0];
}, function (p) {
  return p.activeAction === null || p.isActive ? '1' : '.5';
}, function (p) {
  return p.theme.media.desktop(_templateObject2$1(), function (p) {
    return p.isActive ? "inset 0 0 0 2px ".concat(p.theme.colors[p.color][0], ", 0 4px ").concat(polished.darken(0.1, p.theme.colors[p.color][0])) : 'none';
  }, function (p) {
    return p.isActive ? '176px' : '180px';
  }, function (p) {
    return p.isActive ? 'transition: none' : '';
  }, function (p) {
    return p.color === 'blue' ? '100%' : '280px';
  }, function (p) {
    return p.isActive ? "inset 0 0 0 2px ".concat(p.theme.colors[p.color][0]) : 'none';
  }, function (p) {
    return p.isActive ? 'height: 180px;' : '';
  });
});

function _templateObject2$2() {
  var data = _taggedTemplateLiteral(["\n    background: ", ";\n    color: ", ";\n    display: block;\n    height: 70px;\n    margin-bottom: -8px;\n    ", "\n    transition: .2s;\n\n    ", ":hover & {\n      ", "\n    }\n  "]);

  _templateObject2$2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$2() {
  var data = _taggedTemplateLiteral(["\n  ", "\n"]);

  _templateObject$2 = function _templateObject() {
    return data;
  };

  return data;
}
var ActionButtonText = styled__default(function (props) {
  return React.createElement(styledComponents.Text, _extends({
    as: "span",
    sx: {
      fontFamily: 'sans',
      fontSize: [1, 1, 2],
      fontWeight: 'bold',
      lineHeight: 'body',
      mt: [2, 2, 0],
      p: [0, 0, 3],
      textAlign: 'center'
    }
  }, props));
})(_templateObject$2(), function (p) {
  return p.theme.media.desktop(_templateObject2$2(), function (p) {
    return p.theme.colors[p.color][0];
  }, function (p) {
    return p.theme.colors.buttonText;
  }, function (p) {
    return p.isActive ? 'transform: scale(1.05);' : '';
  }, ActionButton, function (p) {
    return p.isActive ? 'transform: none;' : '';
  });
});

function _templateObject$3() {
  var data = _taggedTemplateLiteral(["\n  align-items: center;\n  border-radius: ", "px;\n  display: inline-flex;\n  position: relative;\n\n  &:after {\n    border: ", "px solid transparent;\n    border-top-color: ", ";\n    border-bottom: 0;\n    content: '';\n    bottom: 0;\n    height: 0;\n    left: ", "px;\n    margin-bottom: -", "px;\n    margin-left: -", "px;\n    width: 0;\n    position: absolute;\n  }\n"]);

  _templateObject$3 = function _templateObject() {
    return data;
  };

  return data;
}
var Bubble = styled__default(function (props) {
  return React.createElement(styledComponents.Text, _extends({
    sx: {
      bg: 'green.1',
      color: 'green.0',
      fontFamily: 'sans',
      fontSize: 1,
      lineHeight: 'body',
      px: [3, 3, 4],
      py: [2, 2, 3]
    }
  }, props));
})(_templateObject$3(), function (p) {
  return p.theme.radii[1];
}, function (p) {
  return p.theme.space[2];
}, function (p) {
  return p.theme.colors.green[1];
}, function (p) {
  return p.theme.space[4];
}, function (p) {
  return p.theme.space[2];
}, function (p) {
  return p.theme.space[2];
});

function _templateObject$4() {
  var data = _taggedTemplateLiteral(["\n  cursor: pointer;\n  display: inline-flex;\n  justify-content: center;\n  outline: none;\n  transition: background 0.2s;\n\n  &:hover {\n    background: ", ";\n  }\n\n  &:disabled {\n    cursor: auto;\n  }\n"]);

  _templateObject$4 = function _templateObject() {
    return data;
  };

  return data;
}
var Button = styled__default(function (_ref) {
  var children = _ref.children,
      Icon = _ref.icon,
      props = _objectWithoutProperties(_ref, ["children", "icon"]);

  return React.createElement(styledComponents.Button, _extends({
    sx: {
      bg: 'buttonBg',
      borderRadius: 1,
      color: 'buttonText',
      fontFamily: 'sans',
      fontWeight: 'bold',
      px: 3,
      py: 3
    },
    type: "button"
  }, props), children, Icon && React.createElement(Icon, null));
})(_templateObject$4(), function (p) {
  return polished.darken(0.1, p.theme.colors.buttonBg);
});

var Doughnut = function Doughnut(props) {
  var data = {
    datasets: [{
      label: props.label,
      data: props.values,
      backgroundColor: props.colors,
      borderWidth: props.borderWidth,
      borderColor: props.borderColor
    }],
    labels: props.labels,
    options: {
      responsiveAnimationDuration: 1000,
      responsive: true,
      legend: {
        position: props.legendPosition
      }
    }
  };
  return React.createElement(reactChartjs2.Doughnut, {
    data: data,
    options: data.options
  });
};

Doughnut.defaultProps = {
  colors: ['#10a8cc', '#e96107', '#974e99', '#ffd555', '#076460', '#4eb68e', '#882f14', '#4fbe9d', '#014b65', '#0e6103', '#ede717', '#f2081d', '#aebcb9', '#243427'],
  borderWidth: 2,
  borderColor: '#fff',
  legendPosition: 'right'
};
Doughnut.propTypes = {
  values: PropTypes.array.isRequired,
  labels: PropTypes.array.isRequired,
  colors: PropTypes.array,
  label: PropTypes.string,
  borderWidth: PropTypes.number,
  borderColor: PropTypes.string,
  legendPosition: PropTypes.string
};

function _templateObject$5() {
  var data = _taggedTemplateLiteral(["\n  display: grid;\n  gap: ", "px;\n  grid-template-columns: repeat(", ", 1fr);\n"]);

  _templateObject$5 = function _templateObject() {
    return data;
  };

  return data;
}
var Grid = styled__default(function (props) {
  return React.createElement(styledComponents.Box, props);
})(_templateObject$5(), function (p) {
  return p.gap ? p.theme.space[p.gap] || p.gap : p.theme.space[3];
}, function (p) {
  return p.min || p.children.length;
});

var Heading = function Heading(props) {
  return React.createElement(styledComponents.Heading, _extends({
    color: "text",
    fontFamily: "sans"
  }, props));
};

var H1 = function H1(props) {
  return React.createElement(Heading, _extends({
    as: "h1",
    sx: _objectSpread2({
      fontSize: 5,
      hyphens: 'auto'
    }, props.sx)
  }, props));
};
var H2 = function H2(props) {
  return React.createElement(Heading, _extends({
    as: "h2",
    sx: _objectSpread2({
      fontSize: 4,
      hyphens: 'auto'
    }, props.sx)
  }, props));
};
var H3 = function H3(props) {
  return React.createElement(Heading, _extends({
    as: "h3",
    sx: _objectSpread2({
      fontSize: 3
    }, props.sx)
  }, props));
};
var H4 = function H4(props) {
  return React.createElement(Heading, _extends({
    as: "h4",
    sx: _objectSpread2({
      fontSize: 2
    }, props.sx)
  }, props));
};
var H5 = function H5(props) {
  return React.createElement(Heading, _extends({
    as: "h5",
    sx: _objectSpread2({
      fontSize: 2
    }, props.sx)
  }, props));
};
var H6 = function H6(props) {
  return React.createElement(Heading, _extends({
    as: "h6",
    sx: _objectSpread2({
      fontSize: 2
    }, props.sx)
  }, props));
};

function _templateObject$6() {
  var data = _taggedTemplateLiteral(["\n  border: none;\n  height: 1px;\n"]);

  _templateObject$6 = function _templateObject() {
    return data;
  };

  return data;
}
var HorizontalLine = styled__default(function (props) {
  return React.createElement(styledComponents.Box, _extends({
    as: "hr",
    sx: {
      bg: 'border',
      mb: 3,
      mt: 3
    }
  }, props));
})(_templateObject$6());

function _templateObject$7() {
  var data = _taggedTemplateLiteral(["\n  background: none;\n  cursor: pointer;\n  outline: none;\n\n  &:disabled {\n    cursor: auto;\n  }\n"]);

  _templateObject$7 = function _templateObject() {
    return data;
  };

  return data;
}
var Button$1 = styled__default(styledComponents.Button)(_templateObject$7());

var IconButton = function IconButton(_ref) {
  var children = _ref.children,
      icon = _ref.icon,
      props = _objectWithoutProperties(_ref, ["children", "icon"]);

  return React.createElement(Button$1, _extends({
    sx: {
      border: 'none',
      px: 0,
      py: 0
    }
  }, props), icon, children);
};

function _templateObject$8() {
  var data = _taggedTemplateLiteral(["\n  object-fit: cover;\n"]);

  _templateObject$8 = function _templateObject() {
    return data;
  };

  return data;
}
var Image = styled__default(styledComponents.Image)(_templateObject$8());

var Link = function Link(props) {
  return React.createElement(styledComponents.Link, _extends({
    sx: {
      color: 'link'
    }
  }, props));
};

function _templateObject2$3() {
  var data = _taggedTemplateLiteral(["\n  align-items: center;\n  background: ", ";\n  display: flex;\n  flex: 1 0 auto;\n  height: ", ";\n  justify-content: center;\n  max-width: 100%;\n  overflow: hidden;\n  position: relative;\n  width: ", ";\n\n  > * {\n    position: relative;\n    z-index: 10;\n  }\n\n  &:before {\n    animation: 1.6s ", " linear infinite;\n    background: linear-gradient(\n      to right,\n      transparent 0%,\n      ", " 50%,\n      transparent 100%\n    );\n    content: '';\n    height: 100%;\n    left: 0;\n    position: absolute;\n    top: 0;\n    width: 100%;\n    z-index: 1;\n  }\n"]);

  _templateObject2$3 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$9() {
  var data = _taggedTemplateLiteral(["\n  0% {\n    transform: translateX(-100%);\n  }\n  100% {\n    transform: translateX(100%);\n  }\n"]);

  _templateObject$9 = function _templateObject() {
    return data;
  };

  return data;
}
var shimmer = styled.keyframes(_templateObject$9());
var LoadingIndicator = styled__default(styledComponents.Card)(_templateObject2$3(), function (p) {
  return p.theme.colors.gray[0];
}, function (p) {
  return p.height ? typeof p.height === 'string' ? p.height : "".concat(p.height, "px") : "".concat(p.theme.space[4], "px");
}, function (p) {
  return p.width ? typeof p.width === 'string' ? p.width : "".concat(p.width, "px") : 'auto';
}, shimmer, function (p) {
  return polished.rgba(p.theme.colors.gray[1], 0.25);
});

function _templateObject$a() {
  var data = _taggedTemplateLiteral(["\n  align-items: center;\n  border-radius: 20px;\n  display: flex;\n  font-style: italic;\n  justify-content: center;\n  max-width: 100%;\n  overflow: hidden;\n  text-align: center;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n"]);

  _templateObject$a = function _templateObject() {
    return data;
  };

  return data;
}
var Note = styled__default(function (props) {
  return React.createElement(styledComponents.Text, _extends({
    bg: props.type === 'success' ? 'green.1' : 'none',
    color: "green.0",
    fontFamily: "sans",
    fontSize: 1,
    lineHeight: "body",
    px: 3,
    py: 2,
    textAlign: "center"
  }, props));
})(_templateObject$a());

function _extends$1() { _extends$1 = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends$1.apply(this, arguments); }

var _ref =
/*#__PURE__*/
React.createElement("path", {
  d: "M6.997 8.743l4.915 4.523 4.916-4.523 1.51 1.393-6.425 5.926-6.426-5.926 1.51-1.393z",
  fill: "currentColor"
});

var SvgChevronDown = function SvgChevronDown(props) {
  return React.createElement("svg", _extends$1({
    width: 24,
    height: 24
  }, props), _ref);
};

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  appearance: none;\n  background: none;\n  border: 2px solid ", ";\n  outline: none;\n  padding: ", "px\n    ", "px ", "px\n    ", "px;\n  position: relative;\n  width: 100%;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2$4() {
  var data = _taggedTemplateLiteral(["\n  color: ", ";\n  position: absolute;\n  right: ", "px;\n  top: 50%;\n  transform: translateY(-50%);\n"]);

  _templateObject2$4 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$b() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  position: relative;\n"]);

  _templateObject$b = function _templateObject() {
    return data;
  };

  return data;
}
var Wrapper = styled__default.div(_templateObject$b());
var ChevronDown = styled__default(SvgChevronDown)(_templateObject2$4(), function (p) {
  return p.theme.colors.blue[0];
}, function (p) {
  return p.theme.space[3];
});
var Dropdown = styled__default(function (_ref) {
  var form = _ref.form,
      props = _objectWithoutProperties(_ref, ["form"]);

  return React.createElement(styledComponents.Box, _extends({
    as: "select",
    sx: {
      borderRadius: 1,
      color: 'text',
      fontSize: 1,
      fontFamily: 'sans'
    }
  }, props));
})(_templateObject3(), function (p) {
  return p.theme.colors.border;
}, function (p) {
  return p.theme.space[3];
}, function (p) {
  return p.theme.space[4] + p.theme.space[3];
}, function (p) {
  return p.theme.space[3];
}, function (p) {
  return p.theme.space[3];
});

var Select = function Select(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      defaultValue = _ref2.defaultValue,
      options = _ref2.options,
      settings = _ref2.settings,
      props = _objectWithoutProperties(_ref2, ["children", "className", "defaultValue", "options", "settings"]);

  return React.createElement(Wrapper, {
    className: className
  }, React.createElement(ChevronDown, null), React.createElement(Dropdown, props, options.map(function (_ref3, index) {
    var label = _ref3.label,
        value = _ref3.value;
    return React.createElement("option", {
      key: index,
      value: value
    }, label);
  }), children));
};

var Section = function Section(props) {
  return React.createElement(styledComponents.Box, _extends({
    as: "section"
  }, props));
};

function _templateObject2$5() {
  var data = _taggedTemplateLiteral(["\n  animation: 1.6s ", " linear infinite;\n  border: ", "px solid;\n  border-color: ", " ", "\n    ", " ", ";\n  border-radius: 50%;\n  height: ", "px;\n  width: ", "px;\n"]);

  _templateObject2$5 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$c() {
  var data = _taggedTemplateLiteral(["\n  to {\n    transform: rotate(360deg);\n  }\n"]);

  _templateObject$c = function _templateObject() {
    return data;
  };

  return data;
}
var rotate = styled.keyframes(_templateObject$c());
var Spinner = styled__default(styledComponents.Box)(_templateObject2$5(), rotate, function (p) {
  return p.border || 8;
}, function (p) {
  return p.theme.colors.gray[1];
}, function (p) {
  return p.theme.colors.green[0];
}, function (p) {
  return p.theme.colors.green[0];
}, function (p) {
  return p.theme.colors.gray[1];
}, function (p) {
  return p.size || 64;
}, function (p) {
  return p.size || 64;
});

function _templateObject$d() {
  var data = _taggedTemplateLiteral(["\n  align-items: center;\n  border-radius: ", "px;\n  display: flex;\n"]);

  _templateObject$d = function _templateObject() {
    return data;
  };

  return data;
}
var Tag = styled__default(function (props) {
  return React.createElement(styledComponents.Text, _extends({
    as: "div",
    sx: {
      bg: ['tagBg', 'tagBg', 'blue.1'],
      color: 'tag',
      fontFamily: 'sans',
      fontSize: 1,
      fontWeight: 'bold',
      lineHeight: 1,
      p: 2
    }
  }, props));
})(_templateObject$d(), function (p) {
  return p.theme.radii[1];
});

var Text = function Text(props) {
  return React.createElement(styledComponents.Text, _extends({
    fontFamily: "sans",
    sx: _objectSpread2({
      fontSize: 1,
      lineHeight: 'body'
    }, props.sx)
  }, props));
};

exports.ActionButton = ActionButton;
exports.ActionButtonText = ActionButtonText;
exports.Bubble = Bubble;
exports.Button = Button;
exports.Card = Card;
exports.Doughnut = Doughnut;
exports.Flex = styledComponents.Flex;
exports.Grid = Grid;
exports.H1 = H1;
exports.H2 = H2;
exports.H3 = H3;
exports.H4 = H4;
exports.H5 = H5;
exports.H6 = H6;
exports.Heading = Heading;
exports.HorizontalLine = HorizontalLine;
exports.IconButton = IconButton;
exports.Image = Image;
exports.Link = Link;
exports.LoadingIndicator = LoadingIndicator;
exports.Note = Note;
exports.Section = Section;
exports.Select = Select;
exports.Spinner = Spinner;
exports.Tag = Tag;
exports.Text = Text;
exports.breakpoints = breakpoints;
exports.googleMapsStyles = googleMaps;
exports.theme = theme;
